Page MenuHomePhabricator

PayPal bug? Donation processes when PP screen says I will have a chance to review transaction
Closed, ResolvedPublic1 Estimate Story Points

Description

When I make test donations, I usually go through the credit card flow, but I made a PayPal donation today after hearing about some of the weird bugs @MBeat33 is tracking. The flow goes as follows;

  1. I select an amount and the PP method on donate.wiki
  2. I hit a payments page with my donation amount and a "Continue" button, though the page redirects me to step 3 without needing to click the button (this feels kind of off, but not the problem I'm highlighting)
  3. I was already logged into PP, so I get to this screen, confirming my payment method and account info:
    . Below the continue button, there is clear print that says, "You'll be able to review this payment before you complete it at the Wikimedia Foundation, Inc". This is consistent with my expectations as a PP user.
  4. I click continue and end up right on the TY page. The extra confirmation step promised by PP doesn't happen.

This was a jarring experience to me as a user. Is this something we should try to fix? Can we ask PP to remove that text?

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterAdd 'useraction=commit' to PayPal EC redirect

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 21 2019, 1:36 PM
Ejegg added a subscriber: Ejegg.Aug 26 2019, 8:10 PM

Let's ask PayPal to remove it! I don't think we want to add another review step on our end.

Ok, getting this over to paypal. I'll report back here.

Paypal reports that in order for this to be removed we have to make a change:

The verbiage "You'll be able to review this payment before you complete it at the Wikimedia Foundation, Inc" is associated with the "Continue" PayPal button and cannot be modified or hidden. The solution here will be to switch to the PayPal "Pay Now" button which does not have the message. You will need to add the "useraction=commit" GET parameter in the url string you are using to redirect the donor to PayPal.

You can find more details in the previous response under "Implement Pay Now" and reference the screenshot provided to see how the "Pay Now" button looks. Following are the instructions again:
Simply change the PayPal redirect url to include a "useraction=commit" GET parameter.
I used the url "https://www.paypal.com/checkoutweb?token=EC-2SX57854104109039&useraction=commit" to get the Pay Now button to populate (screenshot attached).
No changes will be required on the website as the payment is already executed on the redirect back to the return url.

Ejegg added a comment.Aug 29 2019, 9:46 PM

Thanks @EMartin ! That seems like a fairly simple change to make in our API call. Maybe we can get this into next sprint.

Thank you @Ejegg This is worth fixing. We had a PayPal donor today say: "I did not finalize this payment! Please refund the $17.01. I did NOT complete the transaction. After investigation I decided not to donate and when directed back to finalize the transaction I did NOT authorize it." ZD 601194

Thanks, everyone, for jumping on a very unexpected task. I appreciate all
the follow-up and feedback.

Change 534205 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Add 'useraction=commit' to PayPal EC redirect

https://gerrit.wikimedia.org/r/534205

Ejegg claimed this task.Sep 4 2019, 1:00 AM
Ejegg triaged this task as Medium priority.
Ejegg set the point value for this task to 1.

Change 534205 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Add 'useraction=commit' to PayPal EC redirect

https://gerrit.wikimedia.org/r/534205

OK, this is deployed. The button in the final step on the PayPal now says "Pay Now".

Ejegg closed this task as Resolved.Sep 11 2019, 4:38 PM